PETSc version 3.15.5
Fix/Edit manual page

# PetscDrawViewPortsCreate

Splits a window into smaller view ports. Each processor shares all the viewports.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawViewPortsCreate(PetscDraw draw,PetscInt nports,PetscDrawViewPorts **newports)

Collective on PetscDraw

### Input Parameters

| draw | - the drawing context
| nports | - the number of ports

### Output Parameter

| ports | - a PetscDrawViewPorts context (C structure)

### Options Database

| -draw_ports | - display multiple fields in the same window with PetscDrawPorts instead of in separate windows

### See Also

PetscDrawSplitViewPort(), PetscDrawSetViewPort(), PetscDrawViewPortsSet(), PetscDrawViewPortsDestroy()

### Level

advanced

### Location

src/sys/classes/draw/interface/dviewp.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages